
$ReloadDatablocks = false;

// add effects to execute, which should be used to load particle
// effect datablocks that will be used in the game (example:
// defaultEffect.cs)
function LoadEffects()
{
   exec("./smoke.cs");
   exec("./fire.cs");
   exec("./explosion.cs");
   exec("./treeleaves.cs");
   exec("./pickupeffects.cs");
   exec("./buildingeffects.cs");
   exec("./combat.cs");
}

// this reload all effects' datablocks in the game
function ReloadEffects()
{
   markDataBlocks();
   LoadEffects();
   touchDataBlocks();
}

// when this function is called (from the console window), it will
// reload the datablocks for the effects in the file specified
function ReloadEffect(%effect)
{
   markDataBlocks();
   exec("./" @ %effect);
   touchDataBlocks();
}
